Debian Bug report logs - #693666
Contains non-free FPGA bitfiles

version graph

Package: dahdi-linux; Maintainer for dahdi-linux is Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>; Source for dahdi-linux is src:dahdi-linux.

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Mon, 19 Nov 2012 05:09:01 UTC

Severity: serious

Tags: upstream

Found in version dahdi-linux/1:2.6.1+dfsg-1

Fixed in version dahdi-linux/1:2.6.1+dfsg2-1

Done: Tzafrir Cohen <tzafrir@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#693666; Package dahdi-linux. (Mon, 19 Nov 2012 05:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 19 Nov 2012 05:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Contains non-free FPGA bitfiles
Date: Mon, 19 Nov 2012 05:05:30 +0000
Package: dahdi-linux
Version: 1:2.6.1+dfsg-1
Severity: serious
Tags: upstream

drivers/dahdi/pciradio.rbt and drivers/dahdi/tormenta2.rbt appear to
be FPGA bitfiles or other firmware images.  Their headers refer to
some source files, but even if these were included they would
presumably need non-free tools for conversion.

I'm afraid these will have to be moved to a separate package in the
non-free section.  I'd be happy to add them to firmware-nonfree, but
you'll need to change the related drivers to use request_firmware().

Ben.

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dahdi-linux depends on:
ii  fxload  0.0.20081013-1
ii  procps  1:3.3.4-2

dahdi-linux recommends no packages.

dahdi-linux suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#693666; Package dahdi-linux. (Mon, 19 Nov 2012 07:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 19 Nov 2012 07:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 693666@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: Ben Hutchings <ben@decadent.org.uk>, 693666@bugs.debian.org
Subject: Re: Bug#693666: Contains non-free FPGA bitfiles
Date: Mon, 19 Nov 2012 09:29:42 +0200
On Mon, Nov 19, 2012 at 05:05:30AM +0000, Ben Hutchings wrote:
> Package: dahdi-linux
> Version: 1:2.6.1+dfsg-1
> Severity: serious
> Tags: upstream
> 
> drivers/dahdi/pciradio.rbt and drivers/dahdi/tormenta2.rbt appear to
> be FPGA bitfiles or other firmware images.  Their headers refer to
> some source files, but even if these were included they would
> presumably need non-free tools for conversion.

Those files are from th original Zapata Telphony project:
http://www.zapatatelephony.org/

> 
> I'm afraid these will have to be moved to a separate package in the
> non-free section.  I'd be happy to add them to firmware-nonfree, but
> you'll need to change the related drivers to use request_firmware().

They could be added to dahdi-firmware-nonfree onc this is done. I'll try
to look into that. Thanks for th note.

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#693666; Package dahdi-linux. (Sun, 27 Jan 2013 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sun, 27 Jan 2013 16:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 693666@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 693666@bugs.debian.org
Subject: NMU diff for dahdi-linux/1:2.6.1+dfsg2-0.1
Date: Sun, 27 Jan 2013 16:23:05 +0000
[Message part 1 (text/plain, inline)]
I've uploaded the attached changes to DELAYED/5, and will follow this
with an upload of dahdi-firmware.

The deleted files are noted in the debdiff as just '[deleted]'.

Ben.

-- 
Ben Hutchings
Experience is what causes a person to make new mistakes instead of old ones.
[dahdi-linux_2.6.1+dfsg2-0.1.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#693666; Package dahdi-linux. (Mon, 28 Jan 2013 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 28 Jan 2013 14:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 693666@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: Ben Hutchings <ben@decadent.org.uk>, 693666@bugs.debian.org
Subject: Re: Bug#693666: NMU diff for dahdi-linux/1:2.6.1+dfsg2-0.1
Date: Mon, 28 Jan 2013 16:44:07 +0200
On Sun, Jan 27, 2013 at 04:23:05PM +0000, Ben Hutchings wrote:
> I've uploaded the attached changes to DELAYED/5, and will follow this
> with an upload of dahdi-firmware.

Thanks for your fixes. Applied them in SVN. I don't have the hardware and
thus I'll try to get someone to test the patch.

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#693666; Package dahdi-linux. (Tue, 29 Jan 2013 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Tue, 29 Jan 2013 19:33:05 GMT) Full text and rfc822 format available.

Message #25 received at 693666@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: 693666@bugs.debian.org
Subject: Re: Bug#693666: NMU diff for dahdi-linux/1:2.6.1+dfsg2-0.1
Date: Tue, 29 Jan 2013 21:28:59 +0200
On Mon, Jan 28, 2013 at 04:44:07PM +0200, Tzafrir Cohen wrote:
> On Sun, Jan 27, 2013 at 04:23:05PM +0000, Ben Hutchings wrote:
> > I've uploaded the attached changes to DELAYED/5, and will follow this
> > with an upload of dahdi-firmware.
> 
> Thanks for your fixes. Applied them in SVN. I don't have the hardware and
> thus I'll try to get someone to test the patch.

Sadly I could not find anyone with the hardware. I'll upload new
packages shortly.

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir



Reply sent to Tzafrir Cohen <tzafrir@debian.org>:
You have taken responsibility. (Thu, 31 Jan 2013 11:00:08 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Thu, 31 Jan 2013 11:00:08 GMT) Full text and rfc822 format available.

Message #30 received at 693666-close@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: 693666-close@bugs.debian.org
Subject: Bug#693666: fixed in dahdi-linux 1:2.6.1+dfsg2-1
Date: Thu, 31 Jan 2013 10:47:32 +0000
Source: dahdi-linux
Source-Version: 1:2.6.1+dfsg2-1

We believe that the bug you reported is fixed in the latest version of
dahdi-linux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693666@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tzafrir Cohen <tzafrir@debian.org> (supplier of updated dahdi-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 Jan 2013 00:18:38 +0200
Source: dahdi-linux
Binary: dahdi-linux dahdi-source
Architecture: source all
Version: 1:2.6.1+dfsg2-1
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Tzafrir Cohen <tzafrir@debian.org>
Description: 
 dahdi-linux - DAHDI telephony interface - Linux userspace parts
 dahdi-source - DAHDI telephony interface - source code for kernel driver
Closes: 693666
Changes: 
 dahdi-linux (1:2.6.1+dfsg2-1) unstable; urgency=low
 .
   * Patch fix_define_dev: fix building with kernel 3.8.
   * Remove non-free FPGA bitfiles and patch drivers to load them
     (Closes: #693666) (Ben Hutchings).
   * Patch fix_xpp_usermode: fixes odd xpp behaviour with later kernels.
   * Patch fix_xpp_post_unregister: fixes a crash with manual
     'dahdi_registration off'.
Checksums-Sha1: 
 7da8397b74f6f65e9e0bf964aae41b134185ae48 1479 dahdi-linux_2.6.1+dfsg2-1.dsc
 66b5e15860d655389ee3090d851b665e4207687c 1026374 dahdi-linux_2.6.1+dfsg2.orig.tar.gz
 1d30d8ae217767a0dcfed1768a415e7f764b802d 163105 dahdi-linux_2.6.1+dfsg2-1.debian.tar.gz
 01e0e2c96a60afda8c749807091ebf6ea87f1f91 91296 dahdi-linux_2.6.1+dfsg2-1_all.deb
 271e65c78db9744b0200560898e30cde6302c115 906064 dahdi-source_2.6.1+dfsg2-1_all.deb
Checksums-Sha256: 
 b3fc6602bc3cabfc22a5f848c5901007f7035a371fecfb4f5ef1d425f27193b6 1479 dahdi-linux_2.6.1+dfsg2-1.dsc
 ab1057b6477553ab96940e9660973660518679624147a9e0314aa2f16c535644 1026374 dahdi-linux_2.6.1+dfsg2.orig.tar.gz
 1dcbde35bd5eb708a5ade0ceb3efec922f08153940450f28745e5b3a39f62849 163105 dahdi-linux_2.6.1+dfsg2-1.debian.tar.gz
 eb61b62b009261982930624b65663341c1971bbc07d4027b236e46ca76aca3d7 91296 dahdi-linux_2.6.1+dfsg2-1_all.deb
 0c9e2912f4cb22a04130cc002d68879f9fcf77fb230e4db863576c7f655a5683 906064 dahdi-source_2.6.1+dfsg2-1_all.deb
Files: 
 d614307412fa2cd0a05f34bb6de2be31 1479 comm optional dahdi-linux_2.6.1+dfsg2-1.dsc
 a7773b2a8a61dc37c337be8acb29c2cb 1026374 comm optional dahdi-linux_2.6.1+dfsg2.orig.tar.gz
 00fcf0cc1c441246c1d751c7a004ef58 163105 comm optional dahdi-linux_2.6.1+dfsg2-1.debian.tar.gz
 2b839edb8185342981d2745a0d5062c2 91296 comm optional dahdi-linux_2.6.1+dfsg2-1_all.deb
 6645c81f3fe088a3c691239505ec5347 906064 kernel optional dahdi-source_2.6.1+dfsg2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEJiscACgkQxArWdkN9MovaVwCfe2dhacF7WLBxL4apufbsGNul
OCsAoNN9PtGz6ebkBd9PLM5FS5aRW9o0
=OF0r
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Mar 2013 07:27:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:59:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.